(function() {

	var undotify = function(path, obj) {
		if(path) {
			path = path.split('.');
			path.forEach(function(key) {
				obj = obj[key];
			});
		}

		return obj;
	};

	var Handlebars = require('handlebars.runtime.js'),
		lang = typeof __hbsLang === 'object' ? __hbsLang : {};

	Handlebars.registerHelper('$', function(text) {
		var result = undotify(text, __hbsLang);

		return new Handlebars.SafeString(result);
	});

})();